curl "https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/your-job-id/checkpoints?limit=20" \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.get(
f"https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/{job_id}/checkpoints",
headers={"Authorization": f"Bearer {api_key}"},
params={"limit": 20}
)
print(response.json())
const jobId = 'your-job-id';
const params = new URLSearchParams({ limit: '20' });
const response = await fetch(
`https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/${jobId}/checkpoints?${params}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "list",
"data": [
{
"id": "ckp_...",
"created_at": 1765201323,
"step": 1000,
"metrics": {
"loss": 0.123
}
}
],
"has_more": false,
"next_cursor": null,
"prev_cursor": null
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Fine-Tuning Service
List Job Checkpoints
Get a cursor-paginated list of checkpoints produced by the job
GET
/
fine_tuning
/
jobs
/
{id}
/
checkpoints
curl "https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/your-job-id/checkpoints?limit=20" \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.get(
f"https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/{job_id}/checkpoints",
headers={"Authorization": f"Bearer {api_key}"},
params={"limit": 20}
)
print(response.json())
const jobId = 'your-job-id';
const params = new URLSearchParams({ limit: '20' });
const response = await fetch(
`https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/${jobId}/checkpoints?${params}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "list",
"data": [
{
"id": "ckp_...",
"created_at": 1765201323,
"step": 1000,
"metrics": {
"loss": 0.123
}
}
],
"has_more": false,
"next_cursor": null,
"prev_cursor": null
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Requires version 1.1.5 or later of the Archetype platform.
Overview
Returns a list of checkpoints produced by the job. The list is cursor-paginated, and is in reverse chronological order (newest-first).Request
string
required
The fine-tuning job ID of the job for which to list checkpoints. This is a TypeID-encoded
identifier with the
FineTuningJobId prefix.string
Forward cursor: return items older than the item with this ID. Pass the
next_cursor of the
previous page. Do not supply both this value and a value for before.string
Backward cursor: return items newer than the item with this ID. Pass the
prev_cursor of the current page. Mutually exclusive with after.Response
Returns a page of checkpoints.string
The object type of a list response. Always
list.array
The checkpoints produced by the training job.
boolean
true if more checkpoints exist beyond this page.string
Cursor to continue in the direction of travel — pass it as
after when paging forward
(the default), or as before when the request used before. null when has_more is
false. v1.1.11+string
Cursor to step back the way this page was reached — pass it as
before after a forward page,
or as after after a backward one. null when the request carried no cursor.curl "https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/your-job-id/checkpoints?limit=20" \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.get(
f"https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/{job_id}/checkpoints",
headers={"Authorization": f"Bearer {api_key}"},
params={"limit": 20}
)
print(response.json())
const jobId = 'your-job-id';
const params = new URLSearchParams({ limit: '20' });
const response = await fetch(
`https://api.u1.archetypeai.app/v0.6/fine_tuning/jobs/${jobId}/checkpoints?${params}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "list",
"data": [
{
"id": "ckp_...",
"created_at": 1765201323,
"step": 1000,
"metrics": {
"loss": 0.123
}
}
],
"has_more": false,
"next_cursor": null,
"prev_cursor": null
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Was this page helpful?